aboutsummaryrefslogtreecommitdiff
path: root/package/kodi
diff options
context:
space:
mode:
authorGravatar Yann E. MORIN <yann.morin.1998@free.fr>2015-08-05 20:05:57 +0200
committerGravatar Thomas Petazzoni <thomas.petazzoni@free-electrons.com>2015-08-06 08:27:42 +0200
commit712bb469da4966fa03a251f3fe8bdc18a89569ed (patch)
tree143915b1e54bc093741b2ffd049efdeedde75c27 /package/kodi
parente3517f72e0025e6af69c084283b50c23bc4688bb (diff)
downloadbuildroot-712bb469da4966fa03a251f3fe8bdc18a89569ed.tar.gz
buildroot-712bb469da4966fa03a251f3fe8bdc18a89569ed.tar.bz2
package/libcec: needs gcc >= 4.7
As per upstream, gcc-4.7 is required to build libcec: https://github.com/Pulse-Eight/libcec/issues/78#issuecomment-91578591 Fixes: http://autobuild.buildroot.org/results/3b5/3b5611725c13668472482ed4ad3b46886d4c63d9/ http://autobuild.buildroot.org/results/0d0/0d032cdd8dbf6d0ddef392c3e5a734881e00ee64/ http://autobuild.buildroot.org/results/c21/c21c555c38261f6911349ff9fdac6edeb4debaac/ [...] Possibly fixes: http://autobuild.buildroot.org/results/4a7/4a7b2af2fc3924255ac89e18f4f5c90bb8383265/ http://autobuild.buildroot.org/results/dd6/dd61c186e6d85a9b30cd32edb74a52f7a4f73cc8/ [...] Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr> Cc: Bernd Kuhls <bernd.kuhls@t-online.de> Acked-by: Bernd Kuhls <bernd.kuhls@t-online.de> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
Diffstat (limited to 'package/kodi')
-rw-r--r--package/kodi/Config.in4
1 files changed, 3 insertions, 1 deletions
diff --git a/package/kodi/Config.in b/package/kodi/Config.in
index c3b3183ebc..797f59d7c5 100644
--- a/package/kodi/Config.in
+++ b/package/kodi/Config.in
@@ -158,13 +158,15 @@ config BR2_PACKAGE_KODI_LIBCEC
bool "hdmi cec"
depends on !BR2_STATIC_LIBS # libcec
depends on BR2_PACKAGE_HAS_UDEV
+ depends on BR2_TOOLCHAIN_GCC_AT_LEAST_4_7 # libcec
select BR2_PACKAGE_LIBCEC
help
Enable CEC (Consumer Electronics Control) support.
Select this if you want Kodi to support HDMI CEC.
comment "hdmi cec support needs udev /dev management and a toolchain w/ dynamic library"
- depends on BR2_STATIC_LIBS || !BR2_PACKAGE_HAS_UDEV
+ depends on BR2_STATIC_LIBS || !BR2_PACKAGE_HAS_UDEV || \
+ !BR2_TOOLCHAIN_GCC_AT_LEAST_4_7
config BR2_PACKAGE_KODI_LIRC
bool "lirc"